Package org.opensaml.saml.saml2.metadata.impl

# Class LocalizedURIImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.core.xml.schema.impl.XSURIImpl
org.opensaml.saml.saml2.metadata.impl.LocalizedURIImpl

All Implemented Interfaces:
  `LangBearing`, `XSURI`, `XMLObject`, `SAMLObject`, `LocalizedURI`

Direct Known Subclasses:
  `InformationURLImpl`, `LogoImpl`, `OrganizationURLImpl`, `PrivacyStatementURLImpl`, `RegistrationPolicyImpl`, `UsagePolicyImpl`

public class LocalizedURIImpl extends XSURIImpl implements LocalizedURI
Concrete implementation of `LocalizedURI`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`language`
Language.

### Fields inherited from interface org.opensaml.core.xml.LangBearing

`XML_LANG_ATTR_LOCAL_NAME, XML_LANG_ATTR_NAME`

### Fields inherited from interface org.opensaml.saml.saml2.metadata.LocalizedURI

`TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.core.xml.schema.XSURI

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`LocalizedURIImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getXMLLang()`
Returns the `@xml:lang` attribute value.
`int`
`hashCode()`
`void`
`setXMLLang(String newLang)`
Sets the `@xml:lang` attribute value.

### Methods inherited from class org.opensaml.core.xml.schema.impl.XSURIImpl

`getOrderedChildren, getURI, setURI`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSURI

`getURI, setURI`

## Field Details

### language

@Nullable private String language
Language.

## Constructor Details

### LocalizedURIImpl

protected LocalizedURIImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespaceURI
  `elementLocalName` - the elementLocalName
  `namespacePrefix` - the namespacePrefix

## Method Details

### getXMLLang

@Nullable public String getXMLLang()
Returns the `@xml:lang` attribute value.

Specified by:
  `getXMLLang` in interface `LangBearing`
Returns:
  The `@xml:lang` attribute value or `null`.

### setXMLLang

public void setXMLLang(@Nullable String newLang)
Sets the `@xml:lang` attribute value.

Specified by:
  `setXMLLang` in interface `LangBearing`
Parameters:
  `newLang` - The `@xml:lang` attribute value

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`